[Overview][Types][Procedures and functions][Index] | Reference for unit 'exeinfo' (#rtl)

# OpenExeFile

Open an executable file

## Declaration

Source position: exeinfo.pp line 54

`function OpenExeFile(`
`var e: TExeFile;`
`const fn: string`
`):Boolean;`

## Arguments

`e` |  | Record to be used in other calls in this unit.
`fn` |  | Name of file to be opened.

## Function result

True if the file was opened successfully, false otherwise.

## Description

OpenExeFile opens the executable file fn and initializes the structure e for subsequent calls to routines in the exeinfo unit.

The function returns True if the file was opened successfully, false otherwise.

## See also

FindExeSection |  | Find a section in the binary image.
CloseExeFile |  | Close a previously opened file.
ReadDebugLink |  | Read the location of a debug info filename